/*
 * stm.c
 *
 *  Created on: 15.12.2015
 *      Author: Renate Schultes
 *
 */

#include "stm.h"

/*************************************************************************************
* Function Name  : stmInit
* Description    : This function initializes the STM module
* Input 1        : STM module Base Address
* Input 2        : STM Init-Structure Base Address
* Return         : None
*/
void stmInit(STM_t* const pSTM, const STMInitStruct_t* const pInit)
{
	pSTM->CMP0   = pInit->compVal0;
	pSTM->CMP1   = pInit->compVal1;
	pSTM->CMCON  = pInit->cmcon0 | pInit->cmcon1;
	pSTM->ICR_   = pInit->cmp0Icr | pInit->cmp1Icr;

	if(pInit->isr0 != 0)
	{
		SRC_STM0SR0 = pInit->isr0;
	}

	if(pInit->isr1 != 0)
	{
		SRC_STM0SR1 = pInit->isr1;
	}
}
